Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.j2ee.statistics
Interface Stats

All Known Subinterfaces:
  AltJDBCConnectionPoolStats, AltServletStats, ConnectionManagerStats, ConnectionPoolStats, ConnectionQueueStats, ConnectorConnectionPoolStats, DNSStats, EJBCacheStats, EJBMethodStats, EJBPoolStats, EJBStats, EntityBeanStats, FileCacheStats, HTTPListenerStats, HTTPServiceVirtualServerStats, JCAConnectionPoolStats, JCAConnectionStats, JCAStats, JDBCConnectionPoolStats, JDBCConnectionStats, JDBCStats, JMSConnectionStats, JMSConsumerStats, JMSEndpointStats, JMSProducerStats, JMSSessionStats, JMSStats, JTAStats, JVMStats, KeepAliveStats, MessageDrivenBeanStats, NativeWebCoreThreadPoolStats, NativeWebCoreVirtualServerRequestStats, ServletStats, SessionBeanStats, StatefulSessionBeanStats, StatelessSessionBeanStats, ThreadPoolStats, TransactionServiceStats, URLStats, WebModuleVirtualServerStats

All Known Implementing Classes:
  CompositeDataStats, StatsImpl

public interface Stats

The Stats model and its submodels specify performance data attributes for each of the specific managed object types.

Method Summary
`Statistic` | `getStatistic(java.lang.String statisticName)` Get a Statistic by name.
`java.lang.String[]` | `getStatisticNames()` Returns an array of Strings which are the names of the attributes from the specific Stats submodel that this object supports.
`Statistic[]` | `getStatistics()` Returns an array containing all of the Statistic objects supported by this Stats object.

Method Detail

### getStatistic

    public Statistic getStatistic(java.lang.String statisticName)

  Get a Statistic by name.

### getStatisticNames

    public java.lang.String[] getStatisticNames()

  Returns an array of Strings which are the names of the attributes from the specific Stats submodel that this object supports. Attributes named in the list must correspond to attributes that will return a Statistic object of the appropriate type which contains valid performance data. The return value of attributes in the Stats submodel that are not included in the statisticNames list must be null. For each name in the statisticNames list there must be one Statistic with the same name in the statistics list.

### getStatistics

    public Statistic[] getStatistics()

  Returns an array containing all of the Statistic objects supported by this Stats object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.